July 11, 2012

Plaxo Update: BlackBerry Mobile App

At Plaxo, we believe it’s important to keep our customers up-to-date on app development and what the future holds for our unique products.

Our goal is to help make you more efficient in your daily life, so it’s essential that we remain transparent with our product roadmap so you can plan accordingly.   Although the current Plaxo mobile sync app is compatible with several of the BlackBerry smartphones, the declining sales of BlackBerry mobile devices in the US and RIM giving up most consumer markets have led Plaxo to focus time and effort in other areas. We will not be developing any new apps for BlackBerry smartphones.

We apologize to those utilizing the current BlackBerry mobile app that may be waiting for a new version. For our current customers that sync Plaxo with their BlackBerry devices, we will continue supporting the current version.

Our current BlackBerry Sync App requires BlackBerry OS 4.6 or 5.0, and can be used with BlackBerry Bold series 9000 and 9700, as well as BlackBerry Curve series 8300, 8500, 8900, 9300 and 9600.

We hope you continue to use Plaxo’s other great products to meet your address book, calendar and eCard needs.

Email Print

About the Author

View Plaxo Profile >>
Cori Pasinetti

Director of Marketing

As the Director of Marketing for Plaxo, Cori is a brand advocate for all things Plaxo. Have you Plaxo'd today?

Related Articles
Comments
  • http://www.drfyffe.com/ Dallas Dentist

    I am glad to hear that, I have been using blackberry since 2008.